<?php
$ini_file = dirname(__FILE__).'/scheduleposts.ini';

$objIni = new iniFile($ini_file);
$objIni->read($ini_file);

$err = '';

$url = 'tools.php?p=scheduleposts';
$is_writable = false;


if (!is_writable($ini_file)) {
	$err = '<p>'.sprintf(__('Config file %s, is not writable.'),'<strong>./scheduleposts.ini</strong>').'</p>';
} else {
	$is_writable = true;
	
	# Modification du fichier
	if (!empty($_POST))
	{
		$p_plugin_active = trim($_POST['p_plugin_active']);
		
		{
			$objIni = new iniFile($ini_file);
			$objIni->editVar('sp_plugin_active',(integer) $p_plugin_active);
			
			if ($objIni->saveFile() !== false) {
				if (defined('DC_UPDATE_FILE_W') && DC_UPDATE_FILE_W) {
					files::touch(DC_UPDATE_FILE,time());
				}
				header('Location: '.$url.'&done=1');
				exit;
			} else {
				$err = __('An error occured while writing the file.');
			}
		}
	}
}


/* Affichage
-------------------------------------------------------- */
buffer::str('<h2>'.__('Schedule posts').'</h2>');

if($err != '')
{
	buffer::str('<div class="erreur"><p><strong>'.__('Error(s)').' :</strong></p>'.$err.'</div>');
}

if ($is_writable)
{
	
	if (!empty($_GET['done'])) {
		buffer::str(
		'<p class="message">'.__('Configuration file successfully updated.').'</p>'
		);
	}
	
	buffer::str(
	'<form action="'.$url.'" method="post">'.
	
	'<fieldset class="clear">'.
	'<legend>'.__('Base configuration').'</legend>'.
	'<p class="field"><label for="p_plugin_active"><strong>'.
	__('Activate plugin').'&nbsp;:</strong> '.
	/*helpLink('index&amp;plugin=scheduleposts','plugin_active').*/'</label>'.
	form::combo('p_plugin_active',array(__('yes')=>1,__('no')=>0),(integer) sp_plugin_active).
	'</p>'.
	
	'</fieldset>'.
	
/*	'<fieldset><legend>'.__('Advanced configuration').'</legend>'.
	
	'<p class="field"><label for="p_app_url"><strong>'.__('Application location').'&nbsp;:</strong> '.
	'('.sprintf(__('From %s'),'http://'.$_SERVER['SERVER_NAME']).') '.
	helpLink('index&amp;plugin=blogconf','app_url').'</label>'.
	form::field('p_app_url',40,'',htmlspecialchars(dc_app_url)).'</p>'.
	
	'<p class="field"><label for="p_img_url"><strong>'.__('Images location').'&nbsp;:</strong> '.
	'('.sprintf(__('From %s'),'http://'.$_SERVER['SERVER_NAME']).') '.
	helpLink('index&amp;plugin=blogconf','img_url').'</label>'.
	form::field('p_img_url',40,'',htmlspecialchars(dc_img_url)).'</p>'.
	
	'<p class="field"><label for="p_blog_rss"><strong>'.__('RSS feed location').'&nbsp;:</strong> '.
	'('.sprintf(__('From %s'),'http://'.$_SERVER['SERVER_NAME']).') '.
	helpLink('index&amp;plugin=blogconf','blog_rss').'</label>'.
	form::field('p_blog_rss',40,'',htmlspecialchars(dc_blog_rss)).'</p>'.
	
	'<p class="field"><label for="p_blog_atom"><strong>'.__('Atom feed location').'&nbsp;:</strong> '.
	'('.sprintf(__('From %s'),'http://'.$_SERVER['SERVER_NAME']).') '.
	helpLink('index&amp;plugin=blogconf','blog_atom').'</label>'.
	form::field('p_blog_atom',40,'',htmlspecialchars(dc_blog_atom)).'</p>'.
	
	'<p class="field"><label for="p_trackback_uri"><strong>'.__('Trackback URL').'&nbsp;:</strong> '.
	'('.sprintf(__('From %s'),'http://'.$_SERVER['SERVER_NAME']).') '.
	helpLink('index&amp;plugin=blogconf','trackback_uri').'</label>'.
	form::field('p_trackback_uri',40,'',htmlspecialchars(dc_trackback_uri)).'</p>'.
	
	'<p class="field"><label for="p_url_scan"><strong>'.
	__('URL type').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','url_scan').'</label>'.
	form::combo('p_url_scan',$scan_modes,dc_url_scan).
	'</p>'.
	
	'<p class="field"><label for="p_show_previews"><strong>'.
	__('Preview entries in backend').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','show_previews').'</label>'.
	form::combo('p_show_previews',array(__('yes')=>1,__('no')=>0),(integer) dc_show_previews).
	'</p>'.
	
	'<p class="field"><label for="p_date_format"><strong>'.__('Date format').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','time_format').'</label>'.
	form::field('p_date_format',40,'',htmlspecialchars(dc_date_format)).'</p>'.
	
	'<p class="field"><label for="p_time_format"><strong>'.__('Time format').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','time_format').'</label>'.
	form::field('p_time_format',40,'',htmlspecialchars(dc_time_format)).'</p>'.
	
	'<p class="field"><label for="p_comments_ttl"><strong>'.
	__('Time to live of comments and trackbacks').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','comments_ttl').'</label>'.
	form::field('p_comments_ttl',3,'',(string) dc_comments_ttl).'</p>'.
	
	'<p class="field"><label for="p_wiki_comments"><strong>'.
	__('Use wiki format for comments').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','wiki_comments').'</label>'.
	form::combo('p_wiki_comments',array(__('yes')=>1,__('no')=>0),(integer) dc_wiki_comments).
	'</p>'.
	
	'<p class="field"><label for="p_use_smilies"><strong>'.
	__('Show smileys in blog entries and comments').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','use_smilies').'</label>'.
	form::combo('p_use_smilies',array(__('yes')=>1,__('no')=>0),(integer) dc_use_smilies).
	'</p>'.
	
	'<p class="field"><label for="p_comment_notification"><strong>'.
	__('Notify each new comment by email').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','comment_notification').'</label>'.
	form::combo('p_comment_notification',array(__('yes')=>1,__('no')=>0),(integer) dc_comment_notification).
	'</p>'.
	
	'<p class="field"><label for="p_http_cache"><strong>'.
	__('Activate HTTP cache').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin=blogconf','http_cache').'</label>'.
	form::combo('p_http_cache',array(__('yes')=>1,__('no')=>0),(integer) dc_http_cache).
	'</p>'.
	'</fieldset>'. */
	
	'<p class="field"><input class="submit" type="submit" value="'.__('save').'" /></p>'.
	'</form>'
	);

}

buffer::str('<h3>' . 
__('Installation') . '</h3><p><ol><li>' . __('Add a call to the function') . ' <samp>dcSchedulePosts::putOnline()</samp> ' . __('somewhere in your template file.') .
'</li><li>' . __('Add the following two lines:') . "<pre>require dirname(__FILE__).'/ecrire/tools/scheduleposts/functions.php';\ndcSchedulePosts::putOnline();</pre>" . __('after the line:') . '<pre>if ($con->error()) { exit; }</pre>' . __('in your Atom and RSS feeds.').
'</li></ol><h3>' . __('Usage') . '</h3><p><ol><li>' .
 __('Write your posts, put them offline, save them.') . '</li><li>' . __('For each post, select "More options" and change its date to be its publication date.') .
'</li><li>' . __('Get back to this plugin, and activate it.') . '</li></ol>' . __('When someone visits your page, all posts prior to the current date and time will be put online.') . '</p>');

buffer::str('<h3>' . __('Known bugs') . '</h3><p>' . 
__("The post won't appear on the main page the first time after it was put online. This is due to the fact that DotClear constructs its list of posts before its calling the template file.") . '</p>');

buffer::str('<div class="copyright"><h3>' . __('Copyright information') . '</h3><p>' . __('The icon used for this plugin is © 2004 by') . ' <a href="http://www.miloszwl.com/">Miloszwl</a>. ' . 
  __('All the code is © 2004 by') . ' <a href="http://www.mudry.org/">Julien Mudry</a> ' . __('and distributed under the terms of the GPL license.') . '</p></div>');
?>
